//LCDCu for RXI2CLIB by I.N.

//2014.12.09 ver.0.1 h8lcdlib.h𗬗p
//2015.03.03 ver.1.0 ėp

/* gp
	int sci_port= 1;
	RXI2C_Open(sci_port,3);	//brr=3->375k bps, 2->500k bps
	lcd_begin(sci_port);	//SCI|[gԍ
	lcd_clear();			//ʏ
	lcd_home();				//J[\z[|WV
	lcd_print("RX63N");		//o
	lcd_setCursor(0,1);		//J[\ʒuݒ
	lcd_print("I2C-LCD");
*/

//LCDW[I2CAhX
#define LCD_ADR 0x3e

//SCI|[gԍi[
unsigned char rxi2c_lcd_adr;

#ifndef delayus
	#define delayus(t) delayMicroseconds(t)
#endif

#ifndef delayms
	#define delayms(t) delay(t)
#endif

//R}h(instruction)
void lcd_command(unsigned char d)
{
	RXI2C_Send2(rxi2c_lcd_adr,LCD_ADR,0x00,d);
	delayus(27);
}

//f[^(dat)
void lcd_write(unsigned char d)
{
	RXI2C_Send2(rxi2c_lcd_adr,LCD_ADR,0x40,d);
	delayus(27);
}

void lcd_setCursor(int x, int y)
{
	lcd_command(0x80|(x+0x40*y));
}

void lcd_clear(void)
{
	lcd_command(0x01);
	delayms(2);
}

void lcd_home(void)
{
	lcd_command(0x02);
	delayms(2);
}

void lcd_begin(unsigned char adr)
{
	rxi2c_lcd_adr= adr;
	delayms(40);
	lcd_command(0x38);
	lcd_command(0x39);
	lcd_command(0x14);
	lcd_command(0x70);
	lcd_command(0x56);
	lcd_command(0x6C); delayms(200);
	lcd_command(0x38);
	lcd_command(0x0C);
	lcd_command(0x01); delayms(2);
}

void lcd_print(const char *a)
{
	char *s;
	s=(char *)a;
	while(*s){
		lcd_write(*s);
		s++;
	}
}
